ChangeSet 1.1587.3.20, 2004/04/30 22:16:57-07:00, linux-usb@nerds-incorporated.org

[PATCH] USB: Alcatel TD10 Serial to USB converter cable support

The Alcatel TD10 USB to Serial converter cable (for use with a Alcatel
OT 535 or 735(i) mobile phone) seems to be a repackaged Alcatel
version of the Prolific 2303 adapter.

And as such, simply adding its product/vendor id (0x11f7/0x02df) to
drivers/usb/serial/pl2303.c seems to be enough to make it work.


 drivers/usb/serial/pl2303.c |    1 +
 drivers/usb/serial/pl2303.h |    3 +++
 2 files changed, 4 insertions(+)


diff -Nru a/drivers/usb/serial/pl2303.c b/drivers/usb/serial/pl2303.c
--- a/drivers/usb/serial/pl2303.c	Fri May 14 15:31:08 2004
+++ b/drivers/usb/serial/pl2303.c	Fri May 14 15:31:08 2004
@@ -80,6 +80,7 @@
 	{ USB_DEVICE(RADIOSHACK_VENDOR_ID, RADIOSHACK_PRODUCT_ID) },
 	{ USB_DEVICE(DCU10_VENDOR_ID, DCU10_PRODUCT_ID) },
 	{ USB_DEVICE(SITECOM_VENDOR_ID, SITECOM_PRODUCT_ID) },
+	{ USB_DEVICE(ALCATEL_VENDOR_ID, ALCATEL_PRODUCT_ID) },
 	{ }					/* Terminating entry */
 };
 
diff -Nru a/drivers/usb/serial/pl2303.h b/drivers/usb/serial/pl2303.h
--- a/drivers/usb/serial/pl2303.h	Fri May 14 15:31:08 2004
+++ b/drivers/usb/serial/pl2303.h	Fri May 14 15:31:08 2004
@@ -41,3 +41,6 @@
 
 #define SITECOM_VENDOR_ID	0x6189
 #define SITECOM_PRODUCT_ID	0x2068
+
+#define ALCATEL_VENDOR_ID	0x11f7
+#define ALCATEL_PRODUCT_ID	0x02df
